/*****************************************************************************
 * 
 * mui-gtk - a wrapper library to wrap GTK+ calls to MUI
 *
 * Copyright (C) 2005 Oliver Brunner
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 * Contact information:
 *
 * Oliver Brunner
 *
 * E-Mail: mui-gtk "at" oliver-brunner.de
 *
 *****************************************************************************/

//#define DEBUG 1

#if defined DEBUG
  #ifdef __MORPHOS__
    #define D(x)  x
    #define bug   kprintf
    #define DebOut(...)  D(bug(__VA_ARGS__))
  #elif defined(__AROS__)
    #include <aros/debug.h>
    #define DebOut(...)  D(bug(__VA_ARGS__))
  #else
    #define DebOut printf
  #endif
#else
  #define D(x)
  #define bug(x)
  #define DebOut(...)  D(bug(__VA_ARGS__))
#endif

#if defined DEBUG
  #define ErrOut(...) printf("ERROR: ");printf(__VA_ARGS__);DebOut("ERROR");DebOut(__VA_ARGS__)
#else 
  #define ErrOut(...) printf("ERROR: ");printf(__VA_ARGS__)
#endif
